package com.zhilian.online.controller;/**
 * @version:
 * @Author: LiYuan
 * @description:
 * @date: 2024/3/30  11:18
 */

import com.zhilian.common.core.domain.Result;
import com.zhilian.online.domain.model.MqttServerModel;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @BelongsProject: smart-cloud-server
 * @BelongsPackage: com.zhilian.online.controller
 * @Author: LiYuan
 * @CreateTime: 2024-03-30  11:18
 * @Description: 新增车辆上线验证控制器
 * @Version: 1.0
 */
@RestController
@RequestMapping("/verify")
public class OnlineVerifyController {

    /**
     * 读取配置文件中的mqtt服务地址
     */
    @Value("${mqtt.server.broker}")
    private String broker;

    /**
     * 读取配置文件中的订阅主题
     */
    @Value("${mqtt.server.topic}")
    private String topic;

    @PostMapping("/vehicleConnection")
    public Result<MqttServerModel> vehicleConnection() {
        return Result.success(
                MqttServerModel.builder()
                        .broker(broker)
                        .topic(topic)
                        .build()
        );
    }

}
