package com.zhilian.online.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.zhilian.common.core.web.domain.BaseEntity;
import lombok.*;
import org.bouncycastle.util.IPAddress;

import javax.validation.constraints.NotBlank;

/**
 * @BelongsProject: smart-cloud-server
 * @BelongsPackage: com.zhilian.online.domain
 * @Author: LiYuan
 * @CreateTime: 2024-03-31  08:58
 * @Description: 收集节点实体类
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class Gather extends BaseEntity {

    /**
     * 收集节点ID
     */
    @TableId(type = IdType.INPUT)
    private String clientId;

//    /**
//     * 收集节点登录令牌
//     */
//    @NotBlank
//    private String token;

    /**
     * broker
     */
    @NotBlank
    private String broker;

    /**
     * username
     */
    private String username;

    /**
     * password
     */
    private String password;

    /**
     * qos
     */
    private Integer qos;

    /**
     * topic
     */
    @NotBlank
    private String topic;

    /**
     * ip地址
     */
    private String ipAddress;




}
