package com.zhilian.online.domain;/**
 * @version:
 * @Author: LiYuan
 * @description:
 * @date: 2024/3/29  21:49
 */

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zhilian.common.core.web.domain.BaseEntity;
import lombok.*;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 *@BelongsProject: smart-cloud-server
 *@BelongsPackage: com.zhilian.online.domain
 *@Author: LiYuan
 *@CreateTime: 2024-03-29  21:49
 *@Description: 车辆申请注册成功后返回的一次性账户数据
 *@Version: 1.0
 */

@Data
@AllArgsConstructor
@NotBlank
@ToString
@EqualsAndHashCode(callSuper = true)
@TableName("vehicle_account")
public class VehicleAccount extends BaseEntity{


    /**
     * 车辆VIN
     */
    @TableId(type = IdType.INPUT)
    private String vin;


    /**
     * 申请时间
     */
    @NotNull
    private Date applyTime;

    /**
     * 申请唯一标识
     */
    @NotBlank
    private String applyCode;

    /**
     * 一次性用户名
     */
    private String username;

    /**
     * 一次性密码
     */
    private String password;

    /**
     * 可以进行连接的收集节点id
     */
    private String clientId;

}
